Subject: [edu-team] Sunday apps edu tutorial? We really need to start work, if we're going to get an "overview of the areas" tutorial going for Sunday afternoon at the next IETF

From: Radia Perlman <[email-masked]>
Date: Sun, 6 Jan 2013 12:33:25 -0800

I've sent this to the 4 ADs of "applications" or "Real time applications",
plus the people that Barry Leiba recommended for having the expertise and
possibly willing to work on this... (plus I've cc'd the edu team)

As you probably know, the edu team does tutorials on Sunday afternoon.  We
were thinking it would be nice to start a series on giving an overview of
some of the technical areas.  I was thinking that perhaps "applications"
and "real time applications" might be natural to lump into the same bucket,
but if it's not a natural fit, or if the experts in these areas feel there
is no way to do an adequate job of both areas in one session, we could
start by just doing one of them.

The point isn't to go into depth on any particular protocols, but what's
actually somewhat harder to do...is to describe the concepts.  What are the
challenges?  What are the controversies?  What problems are being solved?
 Why are there so many protocols?  Which ones are complementary, which ones
are simply the same sort of thing with different syntax? What gaping holes
are there to solve that the industry doesn't have very good solutions for?
 What areas might there be opportunity for research...simulation of
different approaches.

Of all the areas, applications is probably my weakest technically, so I
would probably not be a good person to prepare and teach this.  But given
that I'm somewhat naive about the area, I could be quite valuable in terms
of asking questions, pointing out jargon that you guys have been living
with so long that you take it for granted that it makes sense to someone
who hasn't lived with it.

I think the point of this tutorial is to be aimed at someone who is not in
the area...who can invest 2 hours of their time listening, and wind up
learning enough to know whether they'd be interested in starting to read
drafts, or if they are in another area, have sympathy with the needs of the
protocols in the applications area.

I think what we need is one (or two) person(s) who will commit to preparing
and giving the tutorial, and as many as possible other people to help...be
available to answer questions "what were we thinking when we added that
feature?" "what is that WG about"?

So is there a "one person"?   Or perhaps a "glue person" with a bunch of
guest speakers to talk about various topics the "glue" person doesn't feel
comfortable talking about?  I hope we don't do it that way, because if we
needed that, I think it would mean that the tutorial was going into way too
much arcana beyond what would be useful for cross-fertilization and
introducing people to the area.  I don't think the speaker has to be able
to answer every possible question.  It's fine to say "I don't know", and
often there are people in the audience who will pipe in.

As I said, I'm happy to help as well.  One way I'm helped people organize a
talk is to simply have a phone call with them and ask them questions.  Who
else would like to volunteer?

Thanks,

Radia

---

From: Robert Sparks <[email-masked]>
Date: Tue, 08 Jan 2013 10:20:41 -0600

Radia -

Gonzalo and I talked today - we think we could help prepare some RAI 
content and will continue to think of other people we could engage to 
spread the preparation load (I've already pinged Adam Roach and Ben 
Campbell who are willing to help). Adam Roach is willing to do the 
presentation part for RAI.

To check that we have heard what you are aiming for correctly:

We're envisioning something that goes along these lines (expanding the 
first bullet only for now, the others would be expanded similarly). It 
won't canvas every group or RAI protocol, only provide an introduction 
to the larger building-block concepts that the
groups and protocols work with:

  - Real-Time Voice/Video
    - This is what RTP achieves (noting its wide use by many types of 
applications)
    - What kind of stuff RTP actually carries (pointing particularly to 
CODEC/video-codec)
    - This is what SIP does (showing the very high level important 
concepts like the separation of signalling and media, where it uses RTP)
    - This is what SDP does (then leading to performing offer/answer 
with SDP)
    - This is what WebRTC does (and how its actors are very different 
from the actors in SIP)
    - A high level view of the problem CLUE is addressing
    - The pressure WebRTC and CLUE are putting on the use of SDP
  - Presence/Messaging
  - Geolocation/Privacy/Emergency Services
  - An introduction to the DISPATCH process

Is this close?

I don't think you'll get any synergy from lumping RAI and APPs into the 
same session (beyond exposing audience members that came
for one to the other), but as long as we can fit in the time, there's no 
reason not to run them together.

RjS

On 1/6/13 2:33 PM, Radia Perlman wrote:
> I've sent this to the 4 ADs of "applications" or "Real time 
> applications", plus the people that Barry Leiba recommended for having 
> the expertise and possibly willing to work on this... (plus I've cc'd 
> the edu team)
>
> As you probably know, the edu team does tutorials on Sunday afternoon. 
>  We were thinking it would be nice to start a series on giving an 
> overview of some of the technical areas.  I was thinking that perhaps 
> "applications" and "real time applications" might be natural to lump 
> into the same bucket, but if it's not a natural fit, or if the experts 
> in these areas feel there is no way to do an adequate job of both 
> areas in one session, we could start by just doing one of them.
>
> The point isn't to go into depth on any particular protocols, but 
> what's actually somewhat harder to do...is to describe the concepts. 
>  What are the challenges?  What are the controversies?  What problems 
> are being solved?  Why are there so many protocols?  Which ones are 
> complementary, which ones are simply the same sort of thing with 
> different syntax? What gaping holes are there to solve that the 
> industry doesn't have very good solutions for?  What areas might there 
> be opportunity for research...simulation of different approaches.
>
> Of all the areas, applications is probably my weakest technically, so 
> I would probably not be a good person to prepare and teach this.  But 
> given that I'm somewhat naive about the area, I could be quite 
> valuable in terms of asking questions, pointing out jargon that you 
> guys have been living with so long that you take it for granted that 
> it makes sense to someone who hasn't lived with it.
>
> I think the point of this tutorial is to be aimed at someone who is 
> not in the area...who can invest 2 hours of their time listening, and 
> wind up learning enough to know whether they'd be interested in 
> starting to read drafts, or if they are in another area, have sympathy 
> with the needs of the protocols in the applications area.
>
> I think what we need is one (or two) person(s) who will commit to 
> preparing and giving the tutorial, and as many as possible other 
> people to help...be available to answer questions "what were we 
> thinking when we added that feature?" "what is that WG about"?
>
> So is there a "one person"?   Or perhaps a "glue person" with a bunch 
> of guest speakers to talk about various topics the "glue" person 
> doesn't feel comfortable talking about?  I hope we don't do it that 
> way, because if we needed that, I think it would mean that the 
> tutorial was going into way too much arcana beyond what would be 
> useful for cross-fertilization and introducing people to the area.  I 
> don't think the speaker has to be able to answer every possible 
> question.  It's fine to say "I don't know", and often there are people 
> in the audience who will pipe in.
>
> As I said, I'm happy to help as well.  One way I'm helped people 
> organize a talk is to simply have a phone call with them and ask them 
> questions.  Who else would like to volunteer?
>
> Thanks,
>
> Radia

---

From: Radia Perlman <[email-masked]>
Date: Tue, 8 Jan 2013 10:47:34 -0800

Your outline looks wonderful.  And if you think you can fill 90 minutes,
then there's no reason to lump it together with non-real-time apps.  Though
it might be nice to explain why there are two areas, and what kinds of apps
would be "not real time".

Who do you think would be presenting? (it can be multiple people).

Radia

On Tue, Jan 8, 2013 at 8:20 AM, Robert Sparks <[email-masked]> wrote:

> won't canvas every group or RAI protocol, only provide an introduction to
> the larger building-block concepts that the
>    - This is what SIP does (showing the very high level important concepts
> like the separation of signalling and media, where it uses RTP)
>    - This is what SDP does (then leading to performing offer/answer with
> SDP)
>    - This is what WebRTC does (and how its actors are very different from
> the actors in SIP)
>> applications", plus the people that Barry Leiba recommended for having the
>> expertise and possibly willing to work on this... (plus I've cc'd the edu
>> team)
>>
>>  We were thinking it would be nice to start a series on giving an overview
>> of some of the technical areas.  I was thinking that perhaps "applications"
>> I think the point of this tutorial is to be aimed at someone who is not
>> in the area...who can invest 2 hours of their time listening, and wind up
>> preparing and giving the tutorial, and as many as possible other people to
>> help...be available to answer questions "what were we thinking when we
>> added that feature?" "what is that WG about"?
>>
>> As I said, I'm happy to help as well.  One way I'm helped people organize
>> a talk is to simply have a phone call with them and ask them questions.
>>  Who else would like to volunteer?
>>
>> Thanks,
>>
>> Radia
>>
>
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 08 Jan 2013 14:37:53 -0700

Robert, I think your outline of just the audio/video stuff is plenty to
cover and gets to the core of RAI. It seems to me that things like
presence, messaging, geolocation, etc. are a bit outside the mainstream,
although fascinating in their own right. It's also interesting what is
not included at all because unstandardized, such as whiteboarding or
collaborative editing.

IMHO it makes sense to cover RAI and APPS separately, even at separate
meetings (Radia, I'm not sure how long your tutorial will be).

Just my centigram of silver,

Peter

---

From: Robert Sparks <[email-masked]>
Date: Tue, 08 Jan 2013 15:48:13 -0600

On 1/8/13 12:47 PM, Radia Perlman wrote:
> Your outline looks wonderful.  And if you think you can fill 90 
> minutes, then there's no reason to lump it together with non-real-time 
> apps.  Though it might be nice to explain why there are two areas, and 
> what kinds of apps would be "not real time".
We can fill 90 minutes if you want to do just one area. We're ok going 
first or later.
> Who do you think would be presenting? (it can be multiple people).
Adam.
>
> Radia
>
> On Tue, Jan 8, 2013 at 8:20 AM, Robert Sparks <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Radia -
>
>     Gonzalo and I talked today - we think we could help prepare some
>     RAI content and will continue to think of other people we could
>     engage to spread the preparation load (I've already pinged Adam
>     Roach and Ben Campbell who are willing to help). Adam Roach is
>     willing to do the presentation part for RAI.
>
>     We're envisioning something that goes along these lines (expanding
>     the first bullet only for now, the others would be expanded
>     similarly). It won't canvas every group or RAI protocol, only
>     provide an introduction to the larger building-block concepts that the
>        - This is what RTP achieves (noting its wide use by many types
>     of applications)
>        - What kind of stuff RTP actually carries (pointing
>     particularly to CODEC/video-codec)
>        - This is what SDP does (then leading to performing
>     offer/answer with SDP)
>        - This is what WebRTC does (and how its actors are very
>     different from the actors in SIP)
>     I don't think you'll get any synergy from lumping RAI and APPs
>     into the same session (beyond exposing audience members that came
>     for one to the other), but as long as we can fit in the time,
>     there's no reason not to run them together.
>
>     RjS
>
>
>         applications", plus the people that Barry Leiba recommended
>         for having the expertise and possibly willing to work on
>         this... (plus I've cc'd the edu team)
>
>         As you probably know, the edu team does tutorials on Sunday
>         afternoon.  We were thinking it would be nice to start a
>         series on giving an overview of some of the technical areas.
>          I was thinking that perhaps "applications" and "real time
>         applications" might be natural to lump into the same bucket,
>         but if it's not a natural fit, or if the experts in these
>         areas feel there is no way to do an adequate job of both areas
>         in one session, we could start by just doing one of them.
>
>         The point isn't to go into depth on any particular protocols,
>         but what's actually somewhat harder to do...is to describe the
>         concepts.  What are the challenges?  What are the
>         controversies?  What problems are being solved?  Why are there
>         so many protocols?  Which ones are complementary, which ones
>         are simply the same sort of thing with different syntax? What
>         gaping holes are there to solve that the industry doesn't have
>         very good solutions for?  What areas might there be
>         opportunity for research...simulation of different approaches.
>
>         Of all the areas, applications is probably my weakest
>         technically, so I would probably not be a good person to
>         prepare and teach this.  But given that I'm somewhat naive
>         about the area, I could be quite valuable in terms of asking
>         questions, pointing out jargon that you guys have been living
>         with so long that you take it for granted that it makes sense
>         to someone who hasn't lived with it.
>
>         I think the point of this tutorial is to be aimed at someone
>         who is not in the area...who can invest 2 hours of their time
>         listening, and wind up learning enough to know whether they'd
>         be interested in starting to read drafts, or if they are in
>         another area, have sympathy with the needs of the protocols in
>         the applications area.
>
>         I think what we need is one (or two) person(s) who will commit
>         to preparing and giving the tutorial, and as many as possible
>         other people to help...be available to answer questions "what
>         were we thinking when we added that feature?" "what is that WG
>         about"?
>
>         So is there a "one person"?   Or perhaps a "glue person" with
>         a bunch of guest speakers to talk about various topics the
>         "glue" person doesn't feel comfortable talking about?  I hope
>         we don't do it that way, because if we needed that, I think it
>         would mean that the tutorial was going into way too much
>         arcana beyond what would be useful for cross-fertilization and
>         introducing people to the area.  I don't think the speaker has
>         to be able to answer every possible question.  It's fine to
>         say "I don't know", and often there are people in the audience
>         who will pipe in.
>
>         As I said, I'm happy to help as well.  One way I'm helped
>         people organize a talk is to simply have a phone call with
>         them and ask them questions.  Who else would like to volunteer?
>
>         Thanks,
>
>         Radia
>
>
>

---

From: Radia Perlman <[email-masked]>
Date: Tue, 8 Jan 2013 13:55:02 -0800

The slot is somewhere between 90 minutes and 2 hours.  I think it's good to
shoot for 90 minutes of presentation, and then let people ask questions.  I
think we were assuming this would be in the 3 PM slot.  Ending a bit early
is good because people will be going to the social, plus the people who are
newcomers, that think the newcomer reception is important walk out at 4 PM,
which is a bit disconcerting...but as long as you realize that's why some
people leave at that point...

So...let's assume the entire slot is "welcome to the wonderful world of
real time apps", and not combined with apps....though I think a slide
demystifying why there are two areas, and what kinds of things would be
covered in apps, would be nice.

And I think it's good to also talk about fuzzy not-yet-standardized topics.

Can you send a title (e.g., "Overview of the Wonderful World of Real Time
Apps")? and a brief description, and who is presenting, so we can get it on
the schedule?

Thanks,

Radia

---

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 9 Jan 2013 09:58:31 +0200

Hi,

> ....though I think a slide

yes, we discussed this within the IESG a while ago. While the charters
of the WGs are easily found on the IETF web page, we do not have clear
descriptions of the areas (something like a WG charter but for an area).
It would be nice to have such descriptions in a prominent place on our site.

I of course agree with you that explaining the scope of RAI and how it
differs not only from the application area, but also from the transport
area, should be tackled in the presentation.

Cheers,

Gonzalo

---

From: Radia Perlman <[email-masked]>
Date: Wed, 9 Jan 2013 08:12:55 -0800

I was thinking about a title for the tutorial.  I want to make it clear
that this is a cross-fertilization thing...where people who don't have a
clue about the area will learn something...not be drowned in acronyms and
announcements with obscure draft names "being at last call", etc.

So even "Overview of Real TIme Apps" might not make that obvious, because
traditionally Open Area meetings are not good places to wander into, if you
haven't been following the area (though I really wish the first 15 minutes
of such meetings would give a quick overview).

So perhaps "Introducing the Real Time Apps Area" or "Real Time Apps: What's
that area about?" or "A Quick Introduction to the Real TIme Apps area"

Anyway...we need a catchy title to make it clear that this series of
tutorials are not the same as sitting through an open area meeting.

As for "all the protocols" and "all the working groups"...I think that
could be done very very quickly, by simply saying the names, expanding the
acronyms of the working groups, and having them lumped into "these are for
telelphony.  these are for whiteboard...", etc.  And perhaps a slide that
says the names of all the main protocols being developed in RAI, with just
a "what's it for" (e.g., negotiating parameters for telephony).  At that
level, I think it would be nice to include it.  Obviously, reading the
charter of all the WGs would be boring and take up all the time....but just
giving a hint as to how there can be so many different WGs and how they
interrelate, spending about 10 minutes on just saying all the (expanded
acronym) names, and a one line "category", with them organized into logical
groups...that could be interesting.

Radia

On Wed, Jan 9, 2013 at 3:55 AM, Alexey Melnikov
<[email-masked]>wrote:

> On 08/01/2013 21:37, Peter Saint-Andre wrote:
>
>> cover and gets to the core of RAI.
>>
> Agreed.
>
>  It seems to me that things like
>> although fascinating in their own right.
>>
> Messaging will also show that sometimes the decision to assign some items
> to areas is a bit arbitrary ;-).
>
>  It's also interesting what is
> I am less sure about that. But it might be better to concentrate on one
> Area instead of doing a worse job presenting both.
>

---

From: Robert Sparks <[email-masked]>
Date: Wed, 09 Jan 2013 10:22:39 -0600

Hi Radia -

The I in RAI is as important as the A in understanding what the area is for.

How about one of these for a title:

"Introduction to Real-Time Applications and Infrastructure development 
in the IETF"
or
"A sip of RAI : Overview of the IETF's Real-Time Applications and 
Infrastructure Area"

RjS

On 1/9/13 10:12 AM, Radia Perlman wrote:
> I was thinking about a title for the tutorial.  I want to make it 
> clear that this is a cross-fertilization thing...where people who 
> don't have a clue about the area will learn something...not be drowned 
> in acronyms and announcements with obscure draft names "being at last 
> call", etc.
>
> So even "Overview of Real TIme Apps" might not make that obvious, 
> because traditionally Open Area meetings are not good places to wander 
> into, if you haven't been following the area (though I really wish the 
> first 15 minutes of such meetings would give a quick overview).
>
> So perhaps "Introducing the Real Time Apps Area" or "Real Time Apps: 
> What's that area about?" or "A Quick Introduction to the Real TIme 
> Apps area"
>
> could be done very very quickly, by simply saying the names, expanding 
> the acronyms of the working groups, and having them lumped into "these 
> are for telelphony.  these are for whiteboard...", etc.  And perhaps a 
> slide that says the names of all the main protocols being developed in 
> RAI, with just a "what's it for" (e.g., negotiating parameters for 
> telephony).  At that level, I think it would be nice to include it. 
>  Obviously, reading the charter of all the WGs would be boring and 
> take up all the time....but just giving a hint as to how there can be 
> so many different WGs and how they interrelate, spending about 10 
> minutes on just saying all the (expanded acronym) names, and a one 
> line "category", with them organized into logical groups...that could 
> be interesting.
>
> Radia
>
>
>
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Messaging will also show that sometimes the decision to assign
>     some items to areas is a bit arbitrary ;-).
>
>     I am less sure about that. But it might be better to concentrate
>     on one Area instead of doing a worse job presenting both.
>
>             offer/answer with
>                 technically, so

---

From: Robert Sparks <[email-masked]>
Date: Wed, 09 Jan 2013 10:42:10 -0600

> "A sip of RAI : Overview of the IETF's Real-Time Applications and 
And a first attempt at the rest of the information you asked for:

Presenter: Adam Roach
Description:
This session will provide a high level overview of the real-time 
communication
building blocks being developed and maintained in the RAI Area. We will 
touch
on how the protocols used for real-time voice and video currently fit 
together
and how recent developments are pressuring those protocols to change.

>> don't have a clue about the area will learn something...not be 
>> drowned in acronyms and announcements with obscure draft names "being 
>> at last call", etc.
>>
>> because traditionally Open Area meetings are not good places to 
>> wander into, if you haven't been following the area (though I really 
>> wish the first 15 minutes of such meetings would give a quick overview).
>>
>> As for "all the protocols" and "all the working groups"...I think 
>> that could be done very very quickly, by simply saying the names, 
>> expanding the acronyms of the working groups, and having them lumped 
>> into "these are for telelphony.  these are for whiteboard...", etc. 
>>  And perhaps a slide that says the names of all the main protocols 
>> being developed in RAI, with just a "what's it for" (e.g., 
>> negotiating parameters for telephony).  At that level, I think it 
>> would be nice to include it.  Obviously, reading the charter of all 
>> the WGs would be boring and take up all the time....but just giving a 
>> hint as to how there can be so many different WGs and how they 
>> interrelate, spending about 10 minutes on just saying all the 
>> (expanded acronym) names, and a one line "category", with them 
>> organized into logical groups...that could be interesting.
>>
>> Radia
>>
>>
>>

---

From: Radia Perlman <[email-masked]>
Date: Wed, 9 Jan 2013 09:17:29 -0800

I love your description.

As for title, I prefer the first suggestion ""Introduction to Real-Time
Applications and Infrastructure development in the IETF" because the other
one starts in with an acronym "RAI" that will intimidate people outside the
area.

So, unless someone else has some suggestions for title or tweaks to the
description, we're probably ready to go on this...with just the rest of the
preparation and the actual presentation left to go.

And Adam...any objection to being recorded?

Radia

On Wed, Jan 9, 2013 at 8:42 AM, Robert Sparks <[email-masked]> wrote:

> "Introduction to Real-Time Applications and Infrastructure development in
> the IETF"
> or
> What's that area about?" or "A Quick Introduction to the Real TIme Apps
> area"
>
> On Wed, Jan 9, 2013 at 3:55 AM, Alexey Melnikov <[email-masked]
> > wrote:
>
>>  Messaging will also show that sometimes the decision to assign some
>> items to areas is a bit arbitrary ;-).
>>
>>>> with

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 09 Jan 2013 08:20:46 +0000

Gonzalo,

The area descriptions are at http://www.ietf.org/iesg/area.html,
which is the second link on http://www.ietf.org/iesg/.

They may be out of date or too short, but they certainly have existed
for years.

Regards
   Brian

On 09/01/2013 07:58, Gonzalo Camarillo wrote:
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/edu-team
>

---

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 9 Jan 2013 11:09:04 +0200

Hi Brian,

yes, I myself know where those descriptions are. We (i.e., the IESG)
discussed them in conjunction with the descriptions we send to the
nomcom every year a while ago. Nevertheless, for some reason, many
people do not find those pages easily. Maybe adding a pointer to those
descriptions in the datatracker would do the trick, since in pages like
the following one can access the charter of any WG and the WGs are
divided into areas, but no link to the area descriptions is present, as
far as I can tell.

https://datatracker.ietf.org/

Thanks,

Gonzalo

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 09 Jan 2013 09:42:52 +0000

There is a pointer in the newcomers page (http://www.ietf.org/newcomers.html)
but again, I don't know how many people find that page.

Regards
   Brian

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 09 Jan 2013 11:55:13 +0000

Agreed.

---

From: Adam Roach <[email-masked]>
Date: Wed, 09 Jan 2013 12:49:31 -0600

> And Adam...any objection to being recorded?

I have no objections to being recorded. Thanks for checking.

/a